---
lang: en
title: 'API docs: socketio.socketiosequence.handle'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiosequence.handle.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoSequence](./socketio.socketiosequence.md) &gt; [handle](./socketio.socketiosequence.handle.md)

## SocketIoSequence.handle() method

**Signature:**

```typescript
handle(methodName: string, args: unknown[], done: Function): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  methodName | string |  |
|  args | unknown\[\] |  |
|  done | Function |  |

**Returns:**

Promise&lt;void&gt;


